//po4a: entry man manual
= fsck.cramfs(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: fsck.cramfs

== NAME

fsck.cramfs - fsck compressed ROM file system

== SYNOPSIS

*fsck.cramfs* [options] _file_

== DESCRIPTION

*fsck.cramfs* is used to check the cramfs file system.

== OPTIONS

*-v*, *--verbose*::
Enable verbose messaging.

*-b*, *--blocksize* _blocksize_::
Use this blocksize, defaults to page size. Must be equal to what was set at creation time. Only used for *--extract*.

*--extract*[=_directory_]::
Test to uncompress the whole file system. Optionally extract contents of the _file_ to _directory_.

*-a*::
This option is silently ignored.

*-y*::
This option is silently ignored.

include::man-common/help-version.adoc[]

== EXIT STATUS

*0*::
success
*4*::
file system was left uncorrected
*8*::
operation error, such as unable to allocate memory
*16*::
usage information was printed

== SEE ALSO

*mount*(8),
*mkfs.cramfs*(8)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
